[arch-commits] Commit in mousetweaks/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Oct 11 13:37:17 EDT 2008


    Date: Saturday, October 11, 2008 @ 13:37:17
  Author: jgc
Revision: 14924

upgpkg: mousetweaks 2.24.0-1

Modified:
  mousetweaks/trunk/PKGBUILD

----------+
 PKGBUILD |   22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-11 17:31:59 UTC (rev 14923)
+++ PKGBUILD	2008-10-11 17:37:17 UTC (rev 14924)
@@ -2,28 +2,28 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=mousetweaks
-pkgver=2.22.3
+pkgver=2.24.0
 pkgrel=1
 pkgdesc="Mouse accessibility enhancements for the GNOME desktop"
 arch=(i686 x86_64)
 license=('GPL3' 'FDL')
-depends=('gnome-panel')
-makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.12.2')
-groups=('gnome-extra>=2.22.2' 'at-spi>=1.22.1')
+depends=('gnome-panel>=2.24.0' 'at-spi>=1.24.0')
+makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.14.0')
+groups=('gnome-extra')
 options=('!libtool' '!emptydirs')
 url="http://www.gnome.org"
 install=mousetweaks.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.22/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('bf36afbea857e49d32e5aefc29f94440')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.24/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('0d65ed828b1ef092861e337d2c86cc72')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-scrollkeeper || return 1
   make || return 1
-  make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
  
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list